/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.dao
 *  ファイル：AxisMemberDAO.java
 *  説明：
 *
 *  作成日: 2004/01/14
 */
package openolap.viewer.dao;

import java.sql.Connection;
import java.sql.SQLException;

import openolap.viewer.Axis;
import openolap.viewer.Report;
import openolap.viewer.common.CommonSettings;

/**
 *  クラス：AxisMemberDAO
 *  説明：
 */
public interface AxisMemberDAO {

	public void saveAxisMember(Report report, Axis axis, Connection conn) throws SQLException;
	public void applyAxis(Report report,Axis axis, CommonSettings commonSettings) throws SQLException;
	public String selectSaveDataSQL(Report report, Axis axis);
	public void deleteAxisMember(Report report, Axis axis, Connection conn) throws SQLException;
	public void deleteAxisMember(Report report, Connection conn) throws SQLException;

}
